---
default_smart_attrs: &default_smart_attrs
  ON_TIME_TAG: Power_On_Hours
  LBAS_WRITTEN_TAG: Total_LBAs_Written

vendors:
  intel:
    intel_smart_attrs: &intel_smart_attrs
      <<: *default_smart_attrs
      WEAR_COUNT_TAG: Media_Wearout_Indicator
      LBAS_WRITTEN_TAG: Host_Writes_32MiB
      LBAS_WRITTEN_GB_FACTOR: 0.03125 # Convert to GB (32/1024)
      PROGRAM_FAIL_COUNT: Program_Fail_Count
      ERASE_FAIL_COUNT: Erase_Fail_Count
    disk_id:
      SSDSC1BG40:
        <<: *intel_smart_attrs
      SSDSC1BX40:
        <<: *intel_smart_attrs
      SSDSC2BA10:
        <<: *intel_smart_attrs
      SSDSC2BA20:
        <<: *intel_smart_attrs
      SSDSC2BB12:
        <<: *intel_smart_attrs
        PROGRAM_FAIL_COUNT: Program_Fail_Cnt_Total
        ERASE_FAIL_COUNT: Erase_Fail_Count_Total
      SSDSC2BB24:
        <<: *intel_smart_attrs
      SSDSC2BB48:
        <<: *intel_smart_attrs
      SSDSC2BX40:
        <<: *intel_smart_attrs
      SSDSC2BX48:
        <<: *intel_smart_attrs
      SSDSC2KB24:
        <<: *intel_smart_attrs
      SSDSC2KG03:
        <<: *intel_smart_attrs
      SSDSC2KG24:
        <<: *intel_smart_attrs
  samsung:
    samsung_smart_attrs: &samsung_smart_attrs
      <<: *default_smart_attrs
      WEAR_COUNT_TAG: Wear_Leveling_Count
      LBAS_WRITTEN_GB_FACTOR: 0.000000477 # Convert to GB (512/1024/1024/1024)
      PROGRAM_FAIL_COUNT: Program_Fail_Cnt_Total
      ERASE_FAIL_COUNT: Erase_Fail_Count_Total
    disk_id:
      SSD 850:
        <<: *samsung_smart_attrs
      SSD 860:
        <<: *samsung_smart_attrs
      SSD 870:
        <<: *samsung_smart_attrs
      MZ7KH3T8:
        <<: *samsung_smart_attrs
  sandisk:
    sandisk_smart_attrs: &sandisk_smart_attrs
      <<: *default_smart_attrs
      WEAR_COUNT_TAG: Wear_Leveling_Count
      LBAS_WRITTEN_GB_FACTOR: 0.000000477 # Convert to GB (512/1024/1024/1024)
      PROGRAM_FAIL_COUNT: Program_Fail_Count
      ERASE_FAIL_COUNT: Erase_Fail_Count
    disk_id:
      SDSSDRC0:
        <<: *sandisk_smart_attrs
  ocz:
    ocz_smart_attrs: &ocz_smart_attrs
      <<: *default_smart_attrs
      WEAR_COUNT_TAG: SSD_Life_Left
      LBAS_WRITTEN_TAG: Lifetime_Writes_GiB
      LBAS_WRITTEN_GB_FACTOR: 1
      PROGRAM_FAIL_COUNT: Program_Fail_Count
      ERASE_FAIL_COUNT: Erase_Fail_Count
      ON_TIME_TAG: Power_On_Hours_and_Msec
    disk_id:
      ocz:
        <<: *ocz_smart_attrs
  MK0100GCTYU:
    mk0100gctyu_smart_attrs: &mk_smart_attrs
      <<: *default_smart_attrs
      WEAR_COUNT_TAG: Media_Wearout_Indicator
      LBAS_WRITTEN_GB_FACTOR: 0.03125 # Convert to GB (32/1024)
      PROGRAM_FAIL_COUNT: Program_Fail_Count
      ERASE_FAIL_COUNT: Erase_Fail_Count
    disk_id:
      MK0100GCTYU:
        <<: *mk_smart_attrs

